Package org.eclipse.m2m.atl.drivers.uml24atl

## Class UMLModelLoader

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ModelLoader
  - - org.eclipse.m2m.atl.drivers.emf4atl.EMFModelLoader
    - - org.eclipse.m2m.atl.drivers.uml24atl.UMLModelLoader

    public class UMLModelLoader
    extends EMFModelLoader

Loads UML models into a ResourceSet. Make sure to use the same model loader for all EMF models used in a model transformation! Use different model loaders for different threads.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.drivers.emf4atl.EMFModelLoader

`atlmm, bimm, bundle, encoding, mofURI, removeIDs, resourceSet, saveOptions, useIDs`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.ModelLoader

`loadedModels`

### Constructor Summary

Constructors
`UMLModelLoader()` UMLModelLoader constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ASMEMFModel` `createASMEMFModel​(java.lang.String name, org.eclipse.emf.ecore.resource.Resource extent, ASMModel metamodel, boolean isTarget)` Creates a new `ASMEMFModel`.
`protected void` `finalizeResource​(org.eclipse.emf.ecore.resource.Resource r)` Finalizes r.
`protected void` `realSave​(ASMModel model, java.lang.String href)`

### Methods inherited from class org.eclipse.m2m.atl.drivers.emf4atl.EMFModelLoader

`adaptMetamodel, finalize, getATL, getBuiltInMetaModel, getMOF, getResourceSet, loadModel, loadModel, newModel, newModel, realLoadModel, setParameter, unload`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.ModelLoader

`addExtractor, addInjector, extract, inject, loadModel, save`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UMLModelLoader

    public UMLModelLoader()

UMLModelLoader constructor.

### Method Detail

#### createASMEMFModel

    protected ASMEMFModel createASMEMFModel​(java.lang.String name,
                                            org.eclipse.emf.ecore.resource.Resource extent,
                                            ASMModel metamodel,
                                            boolean isTarget)

Creates a new `ASMEMFModel`.

Overrides:
  `createASMEMFModel` in class `EMFModelLoader`
Parameters:
  `name` - the model name
  `extent` - the resource extent
  `metamodel` - the metamodel
  `isTarget` - true if the model is a target model
Returns:
  a new ASMEMFModel with this ModelLoader.
See Also:
  `EMFModelLoader.createASMEMFModel(java.lang.String, org.eclipse.emf.ecore.resource.Resource, org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel, boolean)`

#### finalizeResource

    protected void finalizeResource​(org.eclipse.emf.ecore.resource.Resource r)

Finalizes r. This implementation does nothing, but allows for overriding in subclasses.

Overrides:
  `finalizeResource` in class `EMFModelLoader`
Parameters:
  `r` - The `Resource` to finalize.
See Also:
  `EMFModelLoader.finalizeResource(org.eclipse.emf.ecore.resource.Resource)`

#### realSave

    protected void realSave​(ASMModel model,
                            java.lang.String href)
                     throws java.io.IOException

Overrides:
  `realSave` in class `EMFModelLoader`
Throws:
  `java.io.IOException`
See Also:
  `EMFModelLoader.realSave(org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel, java.lang.String)`